<?php
$url = $_SERVER['HTTP_HOST']=="localhost" ? $_SERVER['DOCUMENT_ROOT'].'/ethics-prosperity' : $_SERVER['DOCUMENT_ROOT'];
require_once($url."/model/model.php");
class controller
{
	private $obj;

	public function __construct()
   	{
		$this->obj = new model();
	}
	  /*** Rashmi Ethics Infotech Code Start 28-8-20****/
	  
	public function email_configuration($row)
	{
		$ex = $this->obj->email_configuration($row);
		return $ex;
	}
	public function view_email_setting()
	{
		$ex = $this->obj->view_email_setting();
		return $ex;
	}
	public function get_email_setting_id($e_id)
	{
		$ex = $this->obj->get_email_setting_id($e_id);
		return $ex;
	}


	  public function contact_email($email)
	{
		$ex = $this->obj->contact_email($email);
		return $ex;
	}
	  
	   public function subscribe($email)
	{
		$ex = $this->obj->subscribe($email);
		return $ex;
	}
	public function subscribe_thankyou($email)
	{
		$ex = $this->obj->subscribe_thankyou($email);
		return $ex;
	}
	public function apply_job($apply)
	{
		$ex = $this->obj->apply_job($apply);
		return $ex;
	}
	
	public function login($username,$password)
	{
		$ex = $this->obj->login($username,$password);
		return $ex;
	}
		public function change_password($user_id,$new_password)
	{
		$ex = $this->obj->change_password($user_id,$new_password);
		return $ex;
	}
	public function check_password($user_id,$password)
	{
		$ex = $this->obj->check_password($user_id,$password);
		return $ex;
	}
	public function add_site_configuration($site_config)
	{
		$ex = $this->obj->add_site_configuration($site_config);
		return $ex;
	}
	public function view_site_configuration()
	{
		$ex = $this->obj->view_site_configuration();
		return $ex;
	}
	public function get_site_configuration_id($site_config_id)
	{
		$ex = $this->obj->get_site_configuration_id($site_config_id);
		return $ex;
	}
	public function update_site_configuration($site_config)
	{
		$ex = $this->obj->update_site_configuration($site_config);
		return $ex;
	}
	public function logo_slider_img($slider_img)
	{
		$ex = $this->obj->logo_slider_img($slider_img);
		return $ex;
	}
	public function get_slider_id($slider_id)
	{
		$ex = $this->obj->get_slider_id($slider_id);
		return $ex;
	}
	public function get_Slider_logo()
	{
		$ex = $this->obj->get_Slider_logo();
		return $ex;
	}
	public function update_slider_logo($slider_id,$slider_img)
	{
		$ex = $this->obj->update_slider_logo($slider_id,$slider_img);
		return $ex;
	}
	public function delete_logo($slider_id,$slider_status)
	{
		$ex = $this->obj->delete_logo($slider_id,$slider_status);
		return $ex;
	}
	public function deleted_logo_slider()
	{
		$ex = $this->obj->deleted_logo_slider();
		return $ex;
	}
	///About Page Insert
	public function insert_about_page($aboutpage_info)
    {
    	$ex = $this->obj->insert_about_page($aboutpage_info);
		return $ex;
	}
	public function get_aboutpage()
    {
    	$ex = $this->obj->get_aboutpage();
		return $ex;
	}
	public function get_about_page_id($about_page_id)
    {
    	$ex = $this->obj->get_about_page_id($about_page_id);
		return $ex;
	}
	public function update_about_page($update_about_page)
    {
    	$ex = $this->obj->update_about_page($update_about_page);
		return $ex;
	}
	// SERVICE PAGE MENU SECTION//
	public function insert_service($service_info)
    {
    	$ex = $this->obj->insert_service($service_info);
		return $ex;
	}
	public function view_service()
    {
    	$ex = $this->obj->view_service();
		return $ex;
	}
	public function update_service($update_service)
    {
    	$ex = $this->obj->update_service($update_service);
		return $ex;
	}
	public function get_service_id($service_id)
    {
    	$ex = $this->obj->get_service_id($service_id);
		return $ex;
	}
	public function softdel_service($service_id,$service_status)
    {
    	$ex = $this->obj->softdel_service($service_id,$service_status);
		return $ex;
	}
	public function get_del_service()
    {
    	$ex = $this->obj->get_del_service();
		return $ex;
	}
	public function view_service_details($service_id)
    {
    	$ex = $this->obj->view_service_details($service_id);
		return $ex;
	}
	// SERVICE PAGE  CONTENT SECTION//
	public function insert_service_page($servicepage_info)
    {
    	$ex = $this->obj->insert_service_page($servicepage_info);
		return $ex;
	}
	public function get_servicepage()
    {
    	$ex = $this->obj->get_servicepage();
		return $ex;
	}
	public function get_ser_page_id($ser_page_id)
    {
    	$ex = $this->obj->get_ser_page_id($ser_page_id);
		return $ex;
	}
    public function update_ser_page($update_ser_page)
    {
    	$ex = $this->obj->update_ser_page($update_ser_page);
		return $ex;
	}	
	public function softdel_servicepage($ser_page_id,$ser_page_status)
    {
    	$ex = $this->obj->softdel_servicepage($ser_page_id,$ser_page_status);
		return $ex;
	}	
	public function get_del_servicepage()
    {
    	$ex = $this->obj->get_del_servicepage();
		return $ex;
	}	
	public function view_service_page($ser_page_id)
    {
    	$ex = $this->obj->view_service_page($ser_page_id);
		return $ex;
	}
	public function view_service_pagecont($ser_page_id)
    {
    	$ex = $this->obj->view_service_pagecont($ser_page_id);
		return $ex;
	}
	public function view_service_content($id)
    {
    	$ex = $this->obj->view_service_content($id);
		return $ex;
	}	
	public function insert_why_us_info($why_us_info)
    {
    	$ex = $this->obj->insert_why_us_info($why_us_info);
		return $ex;
	}
	public function get_why_us()
    {
    	$ex = $this->obj->get_why_us();
		return $ex;
	}
	public function get_whyus_id($id)
    {
    	$ex = $this->obj->get_whyus_id($id);
		return $ex;
	}
	public function update_why_us($update_why_us)
    {
    	$ex = $this->obj->update_why_us($update_why_us);
		return $ex;
	}
	public function insert_why_us_points($why_uspoint)
    {
    	$ex = $this->obj->insert_why_us_points($why_uspoint);
		return $ex;
	}
	public function get_why_us_points_id($id)
    {
    	$ex = $this->obj->get_why_us_points_id($id);
		return $ex;
	}
	public function view_why_us_points()
    {
    	$ex = $this->obj->view_why_us_points();
		return $ex;
	}
	
	public function update_why_us_points($update_why_us_points)
    {
    	$ex = $this->obj->update_why_us_points($update_why_us_points);
		return $ex;
	}
	public function insert_webinfo($web_info)
	{
    	$ex = $this->obj->insert_webinfo($web_info);
		return $ex;
	}
	public function update_webinfo($update_webinfo)
	{
    	$ex = $this->obj->update_webinfo($update_webinfo);
		return $ex;
	}	
	public function get_webinfo()
	{
    	$ex = $this->obj->get_webinfo();
		return $ex;
	}
	public function get_webinfopage($web_service_id)
	{
    	$ex = $this->obj->get_webinfopage($web_service_id);
		return $ex;
	}	
	public function get_webinfo_id($web_id)
	{
    	$ex = $this->obj->get_webinfo_id($web_id);
		return $ex;
	}
	public function softdel_webdesign($web_id,$web_status)
	{
    	$ex = $this->obj->softdel_webdesign($web_id,$web_status);
		return $ex;
	}
	public function get_del_webdesign()
	{
    	$ex = $this->obj->get_del_webdesign();
		return $ex;
	}
	public function get_home_top_banner()
	{
    	$ex = $this->obj->get_home_top_banner();
		return $ex;
	}
	public function update_home_top_banner($home_top_banner)
	{
    	$ex = $this->obj->update_home_top_banner($home_top_banner);
		return $ex;
	}
	   public function add_industryservice_info($inds_info)
	{
    	$ex = $this->obj->add_industryservice_info($inds_info);
		return $ex;
	}
	public function get_inds_id($id)
	{
    	$ex = $this->obj->get_inds_id($id);
		return $ex;
	}
	public function update_industryservice_info($update_info)
	{
    	$ex = $this->obj->update_industryservice_info($update_info);
		return $ex;
	}
	public function view_industryservice()
	{
    	$ex = $this->obj->view_industryservice();
		return $ex;
	}
	public function softdel_industryservice($id,$status)
	{
    	$ex = $this->obj->softdel_industryservice($id,$status);
		return $ex;
	}
	public function get_del_industryservice()
	{
    	$ex = $this->obj->get_del_industryservice();
		return $ex;
	}
	public function insert_home_slider($homeslider_info)
    {
    	$ex = $this->obj->insert_home_slider($homeslider_info);
		return $ex;
	}
	public function get_home_slider()
    {
    	$ex = $this->obj->get_home_slider();
		return $ex;
	}
	public function get_home_slider_id($home_slider_id)
    {
    	$ex = $this->obj->get_home_slider_id($home_slider_id);
		return $ex;
	}
	public function update_home_slider($update_home_slider)
    {
    	$ex = $this->obj->update_home_slider($update_home_slider);
		return $ex;
	}
	public function softdel_home_slider($home_slider_id,$home_slider_status)
    {
    	$ex = $this->obj->softdel_home_slider($home_slider_id,$home_slider_status);
		return $ex;
	}
	public function get_del_home_slider()
    {
    	$ex = $this->obj->get_del_home_slider();
		return $ex;
	}
	
	public function insert_end_to_end_info($end_to_end_info)
    {
    	$ex = $this->obj->insert_end_to_end_info($end_to_end_info);
		return $ex;
	}
	public
	 function view_home_end_to_end()
    {
    	$ex = $this->obj->view_home_end_to_end();
		return $ex;
	}
	public function update_end_to_end_info($end_to_end_info)
    {
    	$ex = $this->obj->update_end_to_end_info($end_to_end_info);
		return $ex;
	}
	public function get_h_end_id($h_end_id){
    	$ex = $this->obj->get_h_end_id($h_end_id);
		return $ex;
	}
	public function get_del_end_to_end(){
    	$ex = $this->obj->get_del_end_to_end();
		return $ex;
	}
	public function softdel_home_end_to_end($h_end_id,$h_end_status){
    	$ex = $this->obj->softdel_home_end_to_end($h_end_id,$h_end_status);
		return $ex;
	}
	public function add_supply_chain($supply_chain){
    	$ex = $this->obj->add_supply_chain($supply_chain);
		return $ex;
	}
	public function view_supply_chain(){
    	$ex = $this->obj->view_supply_chain();
		return $ex;
	}
	public function update_supply_chain($supply_chain){
    	$ex = $this->obj->update_supply_chain($supply_chain);
		return $ex;
	}
	public function get_h_supply_id($h_supply_id){
    	$ex = $this->obj->get_h_supply_id($h_supply_id);
		return $ex;
	}
		public function add_homeservice_info($homeservice_info)
    {
    	$ex = $this->obj->add_homeservice_info($homeservice_info);
		return $ex;
	}
	public function view_homeservice_info()
    {
    	$ex = $this->obj->view_homeservice_info();
		return $ex;
	}
	public function get_hs_id($hs_id)
    {
    	$ex = $this->obj->get_hs_id($hs_id);
		return $ex;
	}
	public function update_homeservice_info($update_info)
    {
    	$ex = $this->obj->update_homeservice_info($update_info);
		return $ex;
	}
	public function softdel_homeservices($hs_id,$hs_status)
    {
    	$ex = $this->obj->softdel_homeservices($hs_id,$hs_status);
		return $ex;
	}
	public function get_del_homeservice()
    {
    	$ex = $this->obj->get_del_homeservice();
		return $ex;
	}
	    public function add_homeourfacility_info($homeourfacility_info)
    {
    	$ex = $this->obj->add_homeourfacility_info($homeourfacility_info);
		return $ex;
	}
	public function view_homeourfacility_info()
    {
    	$ex = $this->obj->view_homeourfacility_info();
		return $ex;
	}
	public function update_homeourfacility_info($update_info)
    {
    	$ex = $this->obj->update_homeourfacility_info($update_info);
		return $ex;
	}
	public function get_of_id($of_id)
    {
    	$ex = $this->obj->get_of_id($of_id);
		return $ex;
	}
	public function get_del_homeourfacility()
    {
    	$ex = $this->obj->get_del_homeourfacility();
		return $ex;
	}
	public function softdel_homeourfacility($of_id,$of_status)
    {
    	$ex = $this->obj->softdel_homeourfacility($of_id,$of_status);
		return $ex;
	}
	    public function add_homewedeploy_info($homewedeploy_info)
    {
    	$ex = $this->obj->add_homewedeploy_info($homewedeploy_info);
		return $ex;
	}
	public function view_homewedeploy_info()
    {
    	$ex = $this->obj->view_homewedeploy_info();
		return $ex;
	}
	public function update_homewedeploy_info($update_info)
    {
    	$ex = $this->obj->update_homewedeploy_info($update_info);
		return $ex;
	}
	public function get_home_we_deploy_id($home_we_deploy_id)
    {
    	$ex = $this->obj->get_home_we_deploy_id($home_we_deploy_id);
		return $ex;
	}
	public function get_del_homewedeploy()
    {
    	$ex = $this->obj->get_del_homewedeploy();
		return $ex;
	}
	public function softdel_homewedeploy($home_we_deploy_id,$of_status)
    {
    	$ex = $this->obj->softdel_homewedeploy($home_we_deploy_id,$of_status);
		return $ex;
	}
	public function insert_software_info($software_info){
		$ex = $this->obj->insert_software_info($software_info);
		return $ex;
	}
	public function get_software_info(){
		$ex = $this->obj->get_software_info();
		return $ex;
	}
	public function get_software_info_bk(){
		$ex = $this->obj->get_software_info_bk();
		return $ex;
	}
	public function get_software_info_bottom(){
		$ex = $this->obj->get_software_info_bottom();
		return $ex;
	}
	public function update_software_info($software_info){
		$ex = $this->obj->update_software_info($software_info);
		return $ex;
	}
	public function get_software_id($software_id){
		$ex = $this->obj->get_software_id($software_id);
		return $ex;
	}
	public function softdel_software($software_id,$status){
		$ex = $this->obj->softdel_software($software_id,$status);
		return $ex;
	}
	public function get_del_software(){
		$ex = $this->obj->get_del_software();
		return $ex;
	}
	public function insert_software_top_info($soft_top_sec){
		$ex = $this->obj->insert_software_top_info($soft_top_sec);
		return $ex;
	}
	public function get_software_top_sec(){
		$ex = $this->obj->get_software_top_sec();
		return $ex;
	}
	public function update_soft_top_sec($soft_top_sec){
		$ex = $this->obj->update_soft_top_sec($soft_top_sec);
		return $ex;
	}
	public function get_soft_top_id($soft_top_id){
		$ex = $this->obj->get_soft_top_id($soft_top_id);
		return $ex;
	}
	    public function insert_qp_info($qp_info)
    {
		$ex = $this->obj->insert_qp_info($qp_info);
		return $ex;
	}
	public function get_quality_policy()
    {
		$ex = $this->obj->get_quality_policy();
		return $ex;
	}
	public function get_qp_id($qp_id)
    {
		$ex = $this->obj->get_qp_id($qp_id);
		return $ex;
	}
	public function update_qp_info($qp_info)
    {
		$ex = $this->obj->update_qp_info($qp_info);
		return $ex;
	}
	    public function insert_qp_commited($qpc)
    {
		$ex = $this->obj->insert_qp_commited($qpc);
		return $ex;
	}
	public function get_qp_commited_id($id)
    {
		$ex = $this->obj->get_qp_commited_id($id);
		return $ex;
	}
	public function update_qp_commited($update_qpc)
    {
		$ex = $this->obj->update_qp_commited($update_qpc);
		return $ex;
	}
	public function view_qp_commited()
    {
		$ex = $this->obj->view_qp_commited();
		return $ex;
	}
	    public function insert_aboutdetails_info($aboutdetails_info)
	{
		$ex = $this->obj->insert_aboutdetails_info($aboutdetails_info);
		return $ex;
	}
	public function update_aboutdetails_info($aboutdetails_info)
	{
		$ex = $this->obj->update_aboutdetails_info($aboutdetails_info);
		return $ex;
	}
	public function get_aboutdetails()
	{
		$ex = $this->obj->get_aboutdetails();
		return $ex;
	}
	public function get_aboutdetails_id($about_details_id)
	{
		$ex = $this->obj->get_aboutdetails_id($about_details_id);
		return $ex;
	}
	    public function insert_adsinfo($adsinfo)
	{
		$ex = $this->obj->insert_adsinfo($adsinfo);
		return $ex;
	}
	public function update_adsinfo($adsinfo)
	{
		$ex = $this->obj->update_adsinfo($adsinfo);
		return $ex;
	}
	public function get_aboutdetails_services()
	{
		$ex = $this->obj->get_aboutdetails_services();
		return $ex;
	}
	public function get_ads_id($ads_id)
	{
		$ex = $this->obj->get_ads_id($ads_id);
		return $ex;
	}
	public function softdel_aboutdetails_services($ads_id,$ads_status)
	{
		$ex = $this->obj->softdel_aboutdetails_services($ads_id,$ads_status);
		return $ex;
	}
	public function get_del_aboutdetails_services()
	{
		$ex = $this->obj->get_del_aboutdetails_services();
		return $ex;
	}
	public function add_faqmenu_info($faq_info)
	{
		$ex = $this->obj->add_faqmenu_info($faq_info);
		return $ex;
	}
	public function view_faqmenu()
	{
		$ex = $this->obj->view_faqmenu();
		return $ex;
	}
	public function get_faqmenu_id($faq_menu_id)
	{
		$ex = $this->obj->get_faqmenu_id($faq_menu_id);
		return $ex;
	}
	public function softdel_faqmenu($faq_menu_id,$faq_menu_status)
	{
		$ex = $this->obj->softdel_faqmenu($faq_menu_id,$faq_menu_status);
		return $ex;
	}
	public function update_faqmenu_info($faq_info)
	{
		$ex = $this->obj->update_faqmenu_info($faq_info);
		return $ex;
	}
	public function get_del_faqmenu()
	{
		$ex = $this->obj->get_del_faqmenu();
		return $ex;
	}
	public function add_faq_info($faq_info)
	{
		$ex = $this->obj->add_faq_info($faq_info);
		return $ex;
	}
	public function view_faqinfo()
	{
		$ex = $this->obj->view_faqinfo();
		return $ex;
	}
	public function get_del_faq()
	{
		$ex = $this->obj->get_del_faq();
		return $ex;
	}
	public function view_faq_content($id)
	{
		$ex = $this->obj->view_faq_content($id);
		return $ex;
	}
	public function get_faq_id($faq_id)
	{
		$ex = $this->obj->get_faq_id($faq_id);
		return $ex;
	}
	public function softdel_faq($faq_id,$faq_status)
	{
		$ex = $this->obj->softdel_faq($faq_id,$faq_status);
		return $ex;
	}
		public function update_faq_info($faq_info)
	{
		$ex = $this->obj->update_faq_info($faq_info);
		return $ex;
	}
	public function insert_team($team_info)
	{
		$ex = $this->obj->insert_team($team_info);
		return $ex;
	}
	public function view_team()
	{
		$ex = $this->obj->view_team();
		return $ex;
	}
	public function softdel_team($team_id,$team_status)
	{
		$ex = $this->obj->softdel_team($team_id,$team_status);
		return $ex;
	}
	public function get_del_team()
	{
		$ex = $this->obj->get_del_team();
		return $ex;
	}
	public function view_team_details($team_id)
	{
		$ex = $this->obj->view_team_details($team_id);
		return $ex;
	}
	public function get_team_id($team_id)
	{
		$ex = $this->obj->get_team_id($team_id);
		return $ex;
	}
	public function update_team($update_team)
	{
		$ex = $this->obj->update_team($update_team);
		return $ex;
	}
	public function insert_our_teamtoinfo($our_team_top_info)
	{
		$ex = $this->obj->insert_our_teamtoinfo($our_team_top_info);
		return $ex;
	}
	public function update_our_teamtoinfo($our_team_top_info)
	{
		$ex = $this->obj->update_our_teamtoinfo($our_team_top_info);
		return $ex;
	}
	public function view_our_team_topinfo()
	{
		$ex = $this->obj->view_our_team_topinfo();
		return $ex;
	}
	public function get_our_team_topinfo($our_team_top_id)
	{
		$ex = $this->obj->get_our_team_topinfo($our_team_top_id);
		return $ex;
	}
	   public function insert_integration($integration_info)
	{
		$ex = $this->obj->insert_integration($integration_info);
		return $ex;
	}
	   public function update_integration($integration_info)
	{
		$ex = $this->obj->update_integration($integration_info);
		return $ex;
	}
	   public function view_integration()
	{
		$ex = $this->obj->view_integration();
		return $ex;
	}
	   public function get_integration($integration_id)
	{
		$ex = $this->obj->get_integration($integration_id);
		return $ex;
	}
	   public function insert_integration__mgtsys($int_mgt_sys_info)
	{
		$ex = $this->obj->insert_integration__mgtsys($int_mgt_sys_info);
		return $ex;
	}
	   public function update_integration_mgtsys($int_mgt_sys_info)
	{
		$ex = $this->obj->update_integration_mgtsys($int_mgt_sys_info);
		return $ex;
	}
	   public function view_integration_mgt_sys()
	{
		$ex = $this->obj->view_integration_mgt_sys();
		return $ex;
	}
	   public function get_integration_mgt_sys($int_mgt_sys_id)
	{
		$ex = $this->obj->get_integration_mgt_sys($int_mgt_sys_id);
		return $ex;
	}
	  public function softdel_integration_mgt_sys($int_mgt_sys_id,$int_mgt_sys_status)
	{
		$ex = $this->obj->softdel_integration_mgt_sys($int_mgt_sys_id,$int_mgt_sys_status);
		return $ex;
	}
	  public function get_del_integration_mgt_sys()
	{
		$ex = $this->obj->get_del_integration_mgt_sys();
		return $ex;
	}
	   public function insert_integration_supply_chain($int_supply_chain_info)
	{
		$ex = $this->obj->insert_integration_supply_chain($int_supply_chain_info);
		return $ex;
	}
	   public function update_integration_supply_chain($int_supply_chain_info)
	{
		$ex = $this->obj->update_integration_supply_chain($int_supply_chain_info);
		return $ex;
	}
	   public function view_integration_supply_chain()
	{
		$ex = $this->obj->view_integration_supply_chain();
		return $ex;
	}
	   public function get_integration_supply_chain($int_supp_ch_id)
	{
		$ex = $this->obj->get_integration_supply_chain($int_supp_ch_id);
		return $ex;
	}
	  public function softdel_integration_supply_chain($int_supp_ch_id,$int_supp_ch_status)
	{
		$ex = $this->obj->softdel_integration_supply_chain($int_supp_ch_id,$int_supp_ch_status);
		return $ex;
	}
	  public function get_del_integration_supply_chain()
	{
		$ex = $this->obj->get_del_integration_supply_chain();
		return $ex;
	}
	   public function insert_currentopenings_info($co_info)
	{
		$ex = $this->obj->insert_currentopenings_info($co_info);
		return $ex;
	}
	public function get_currentopening_id($co_id)
	{
		$ex = $this->obj->get_currentopening_id($co_id);
		return $ex;
	}
	public function update_currentopenings_info($co_info)
	{
		$ex = $this->obj->update_currentopenings_info($co_info);
		return $ex;
	}
	public function get_currentopenings()
	{
		$ex = $this->obj->get_currentopenings();
		return $ex;
	}
	public function delete_currentopening($co_id)
	{
		$ex = $this->obj->delete_currentopening($co_id);
		return $ex;
	}
	public function view_currentopenings_details($co_id)
	{
		$ex = $this->obj->view_currentopenings_details($co_id);
		return $ex;
	}
	   public function add_careerwork_info($cw_info)
	{
		$ex = $this->obj->add_careerwork_info($cw_info);
		return $ex;
	}
	public function get_careerwork_id($cw_id)
	{
		$ex = $this->obj->get_careerwork_id($cw_id);
		return $ex;
	}
	public function update_careerwork_info($cw_info)
	{
		$ex = $this->obj->update_careerwork_info($cw_info);
		return $ex;
	}
	public function view_careerwork()
	{
		$ex = $this->obj->view_careerwork();
		return $ex;
	}
	public function delete_careerwork($cw_id)
	{
		$ex = $this->obj->delete_careerwork($cw_id);
		return $ex;
	}
	public function get_careerworktopsec_id()
	{
		$ex = $this->obj->get_careerworktopsec_id();
		return $ex;
	}
	public function get_careerworkbenifit_id()
	{
		$ex = $this->obj->get_careerworkbenifit_id();
		return $ex;
	}
	
   /*** Ak Code Start***/
   /** Home Supply Chain Code Start**/
   public function add_supply_chain_home($supply_chain)
   {
	   $ex = $this->obj->add_supply_chain_home($supply_chain);
	   return $ex;
   }
   public function view_home_supply_chain()
   {
	   $ex = $this->obj->view_home_supply_chain();
	   return $ex;
   }
   public function del_supply_chain($supply_chain_home)
   {
	   $ex = $this->obj->del_supply_chain($supply_chain_home);
	   return $ex;
   }
   public function view_supply_chain_by_id($supply_chain_id)
   {
	   $ex = $this->obj->view_supply_chain_by_id($supply_chain_id);
	   return $ex;
   }
   public function edit_supply_chain_home($supply_chain)
   {
	   $ex = $this->obj->edit_supply_chain_home($supply_chain);
	   return $ex;
   }
   /** Home Supply Chain Code End**/
   
   /** Home Ethics Glnace Code start***/
   public function add_ethics_glance($glance)
   {
	   $ex = $this->obj->add_ethics_glance($glance);
	   return $ex;
   }
   public function view_ethics_glance()
   {
	   $ex = $this->obj->view_ethics_glance();
	   return $ex;
   }
   public function del_ethics_glance($ethics_glance_home)
   {
	   $ex = $this->obj->del_ethics_glance($ethics_glance_home);
	   return $ex;
   }
    public function view_ethics_glance_by_id($ethics_glance_id)
   {
	   $ex = $this->obj->view_ethics_glance_by_id($ethics_glance_id);
	   return $ex;
   }
   public function edit_ethics_glance_home($glance)
   {
	   $ex = $this->obj->edit_ethics_glance_home($glance);
	   return $ex;
   }
   /** Home Ethics Glnace Code end***/
   
     /** Home What Make Code Start***/
	 public function view_what_make_section()
	 {
		 $ex = $this->obj->view_what_make_section();
		 return $ex;
	 }
	  public function update_what_make($what_make)
	 {
		 $ex = $this->obj->update_what_make($what_make);
		 return $ex;
	 }
	 /*** Home Page Video Section ***/
	 public function view_video_section()
	 {
		 $ex = $this->obj->view_video_section();
		 return $ex;
	 }
	 public function update_video_section($update_video)
	 {
		 $ex = $this->obj->update_video_section($update_video);
		 return $ex;
	 }
	 public function view_whyus_visibility()
	 {
		 $ex = $this->obj->view_whyus_visibility();
		 return $ex;
	 }
	 public function view_whyus_visibility_id($why_visibility_id)
	 {
		 $ex = $this->obj->view_whyus_visibility_id($why_visibility_id);
		 return $ex;
	 }
	 public function update_why_visibility($why_visibility)
	 {
		 $ex = $this->obj->update_why_visibility($why_visibility);
		 return $ex;
	 }
	 public function view_digital_promotion()
	 {
		 $ex = $this->obj->view_digital_promotion();
		 return $ex;
	 }
	 public function view_digital_promo_id($digital_promotion_id)
	 {
		 $ex = $this->obj->view_digital_promo_id($digital_promotion_id);
		 return $ex;
	 }
	 public function update_why_digital_promo($why_digital_promo)
	 {
		 $ex = $this->obj->update_why_digital_promo($why_digital_promo);
		 return $ex;
	 }
	 public function add_contact_info($office_info)
	 {
		 $ex = $this->obj->add_contact_info($office_info);
		 return $ex;
	 }
	 public function view_contact_info()
	 {
		 $ex = $this->obj->view_contact_info();
		 return $ex;
	 }
	 public function delete_office_location($office_id)
	 {
		 $ex = $this->obj->delete_office_location($office_id);
		 return $ex;
	 }
	 public function get_office_address_by_id($office_id)
	 {
		 $ex = $this->obj->get_office_address_by_id($office_id);
		 return $ex;
	 }
	 public function update_office_address($office_info)
	 {
		 $ex = $this->obj->update_office_address($office_info);
		 return $ex;
	 }
	 public function view_career_top_content()
	 {
		 $ex = $this->obj->view_career_top_content();
		 return $ex;
	 }
	 public function update_career_content($careers)
	 {
		 $ex = $this->obj->update_career_content($careers);
		 return $ex;
	 }
	 public function add_life_at_ethics_cat($lf_info)
	 {
		 $ex = $this->obj->add_life_at_ethics_cat($lf_info);
		 return $ex;
	 }
	 public function view_life_at_ethics_category()
	 {
		 $ex = $this->obj->view_life_at_ethics_category();
		 return $ex;
	 }
	 public function del_life_at_ethics_cat_id($life_at_ethics_cat_id)
	 { 
	    $ex = $this->obj->del_life_at_ethics_cat_id($life_at_ethics_cat_id);
		return $ex;
     }
	 public function get_datafrom_id_wise($lf_at_ethics_id)
	 {
		 $ex = $this->obj->get_datafrom_id_wise($lf_at_ethics_id);
		 return $ex;
	 }
	 public function update_lf_at_ethics_cat($update_lf_at_ethics)
	 {
		 $ex = $this->obj->update_lf_at_ethics_cat($update_lf_at_ethics);
		 return $ex;
	 }
	 public function insert_life_at_ethics_gallery($life_at_ethics)
	 {
		 $ex = $this->obj->insert_life_at_ethics_gallery($life_at_ethics);
		 return $ex;
	 }
	 public function view_gallery()
	 {
		 $ex = $this->obj->view_gallery();
		 return $ex;
	 }
	 public function delete_gallery_img($gallery_id)
	 {
		 $ex = $this->obj->delete_gallery_img($gallery_id);
		 return $ex;
	 }
	 public function get_life_at_ethics_id_wise_data($life_at_ethics_gallery_id)
	 {
		 $ex = $this->obj->get_life_at_ethics_id_wise_data($life_at_ethics_gallery_id);
		 return $ex;
	 }
	 public function update_ethics_gallery($update_ethics_gallery)
	 {
		 $ex = $this->obj->update_ethics_gallery($update_ethics_gallery);
		 return $ex;
	 }
	 public function add_seo_meta_info($row)
	 {
		 $ex = $this->obj->add_seo_meta_info($row);
		 return $ex;
	 }
	 public function view_metainfo()
	 {
		 $ex = $this->obj->view_metainfo();
		 return $ex;
	 }
	 public function deleteseometainfo($seo_id)
	 {
		 $ex = $this->obj->deleteseometainfo($seo_id);
		 return $ex;
	 }
	 public function update_seo_meta($update_seo)
	 {
		 $ex = $this->obj->update_seo_meta($update_seo);
		 return $ex;
	 }
	 public function get_seometa_page_id($seo_meta_id)
	 {
		 $ex = $this->obj->get_seometa_page_id($seo_meta_id);
		 return $ex;
	 }
	 public function view_meta_info_page_wise($current_page)
	 {
		 $ex = $this->obj->view_meta_info_page_wise($current_page);
		 return $ex;
	 }
}